﻿
namespace EDJournal {
    public class MissionAcceptedEntry : Entry {
        private string faction = null;
        private string targetfaction = null;
        private string name = null;
        private string localisedname = null;
        private string localisedtargettype = null;
        private int killcount = 0;
        private int missionid = 0;
        private int reward = 0;

        public string Faction => faction;
        public string TargetFaction => targetfaction;
        public string Name => name;
        public string LocalisedName => localisedname;
        public string LocalisedTargetType => localisedtargettype;
        public int KillCount => killcount;
        public int MissionID => missionid;
        public int Reward => reward;

        protected override void Initialise() {
            faction = JSON.Value<string>("Faction") ?? "";
            targetfaction = JSON.Value<string>("TargetFaction") ?? "";
            name = JSON.Value<string>("Name") ?? "";
            localisedname = JSON.Value<string>("LocalisedName") ?? "";
            localisedtargettype = JSON.Value<string>("TargetType_Localised") ?? "";
            killcount = JSON.Value<int?>("KillCount") ?? 0;
            missionid = JSON.Value<int?>("MissionID") ?? 0;
            reward = JSON.Value<int?>("Reward") ?? 0;
        }
    }
}
